Bug 140316 - *** glibc detected *** double free or corruption: 0x00cda848 ***
*** glibc detected *** double free or corruption: 0x00cda848 ***
Status: CLOSED DUPLICATE of bug 139712
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2004-11-22 05:08 EST by albert vilella
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-17 10:17:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description albert vilella 2004-11-22 05:08:56 EST
Description of problem:
Can't start openoffice due to glibc malloc check finding a problem

Version-Release number of selected component (if applicable):

Version     : 1.1.2                             Vendor: Red Hat, Inc.
Release     : 11.5.fc3                      Build Date: Wed 10 Nov
2004 03:07:04 AM CET
Install Date: Mon 22 Nov 2004 10:29:50 AM CET      Build Host:

How reproducible:

Steps to Reproduce:
1. Run ooffice (in a console to see the error)
2. Wait 1-2 seconds while trying to execute program
3. Error message is shown
Actual results:
Error message:

[~]$ ooffice
*** glibc detected *** double free or corruption: 0x00cda848 ***

Expected results:
Normal start.

Additional info:
It worked fine at first as I was able to use ooimpress once, but is
consistently failing now. I can start openoffice as root, but is
awfully slow (I suppose is the testing of MALLOC_CHECK_ different to 0).

I use openoffice.org as installed from DVD. Then removed and
reinstalled from yum official servers, and the same happens. So it
seems is not a problem of a bad openoffice.org rpm.
Comment 1 Dan Williams 2004-11-22 12:39:45 EST
Is there any way you could get a backtrace?  For example, you could
try this, from a Terminal:

1) gdb /usr/lib/ooo-1.1/program/soffice.bin
2) run
Then, when OOo dies with the "corruption message":
3) t a a bt

(appologies if you know how to get a backtrace already).  Can you
attach the output of the 't a a bt' to this bug?

Comment 2 albert vilella 2004-11-22 13:20:17 EST
Thread 1 (Thread -151136576 (LWP 3238)):
#0  0x00b9d7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00bdd955 in raise () from /lib/tls/libc.so.6
#2  0x00bdf319 in abort () from /lib/tls/libc.so.6
#3  0x00c16a1b in malloc_printerr () from /lib/tls/libc.so.6
#4  0x00c174ba in free () from /lib/tls/libc.so.6
#5  0xf673015c in __driUtilCreateScreen (dpy=0x8680308, scrn=0,
    numConfigs=1, configs=0x86931d0, driverAPI=0xf67757c0) at
#6  0xf674b336 in __driCreateScreen (dpy=0x8692de0, scrn=1, psc=0x86931d0,
    numConfigs=-159950912, config=0xfef029f8) at savage_xmesa.c:807
#7  0x00000000 in ?? ()

Ta-ra!! It's related to the freedesktop dri stuff for my savage video
card. That's why tt was working before: I hadn't installed the dri
drivers yet. So I suppose I should reconduct the bug to them.
Comment 3 Caolan McNamara 2004-12-17 10:15:55 EST

*** This bug has been marked as a duplicate of 139712 ***

Note You need to log in before you can comment on or make changes to this bug.